i8kbuttons(1)

NAME

I8kbuttons - Monitor the status of Fn-buttons on Dell Inspiron laptops.

SYNTAX

i8kbuttons [<options>]

DESCRIPTION

The i8kbuttons daemon monitors the status of the two volume buttons of the Inspiron 8000 and the corresponding Fn- combinations.

When a button is pressed the daemon runs the corresponding command specified in the command-line options. By specifying the proper commnds it is then possible to control the volume of the sound mixer or run any other command you like.

It must be noted that although the program has default commands for the various buttons there are no standard mixer command shipped with the many Linux distributions which can change volume incrementally and support the mute/restore function. The default commands must therefore be overriden with specific commands depending on which mixer software is installed. Example:

    i8kbuttons -u "aumix -v +10" -d "aumix -v -10" -m "aumix -v 0" -r 100 -v

OPTIONS

The program accepts the following command-line options:

-v, --verbose
    Verbose mode, show all commands executed.

-u, --up <command>
    Specifies the command to be executed when the VolumeUp button is pressed.

-d, --down <command>
    Specifies the command to be executed when the VolumeDown button is pressed.

-m, --mute <command>
    Specifies the command to be executed when the VolumeOn/Off button is pressed.

-t, --timeout <milliseconds>
    Specifies the interval in milliseconds at which the daemon checks the button status. Useful values are in the range 50-200. Default is 100.

-r, --repeat <milliseconds>
    Specifies the autorepeat interval in milliseconds. Useful values are in the range 100-1000. Default is 0, i.e. no autorepeat. Autorepeat starts after an initial delay of 250 milliseconds.

This program can be used by normal users or started as daemon by an init script. Under Debian GNU/Linux it is possible to start automatically the daemon at boot by creating an /etc/default/i8kbuttons configfile and setting the I8KBUTTONS_UP_CMD, I8KBUTTONS_DOWN_CMD and I8KBUTTONS_MUTE_CMD variables with the command which must be executed by the program. Note the the /etc/default/i8kbuttons configfile is not installed by the i8kutils package because the program is usually run by normal users. If you want to use it as daemon you must create the config file yourself.

FILES

/proc/i8k
/etc/default/i8kbuttons

AUTHORS

Massimo Dal Zotto <dz@debian.org>

COPYRIGHT

i8kbuttons and all the i8kutils programs, scripts and other files are distributed under the GNU General Public License (GPL). On Debian GNU/Linux systems, the complete text of the GNU General Public License can be found in `/usr/share/common-licenses/GPL'.

SEE ALSO

i8kctl(1), i8kmon(1)